<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
WritableVector
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.iface.WritableVector interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="WritableVector";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WritableVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/WritableVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WritableVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.iface</FONT>
<BR>
Interface WritableVector&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;N&gt;</DD>
</DL>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/DoubleVector.html" title="interface in ch.javasoft.smx.iface">DoubleVector</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/smx/impl/AbstractVector.html" title="class in ch.javasoft.smx.impl">AbstractVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DefaultDoubleVector.html" title="class in ch.javasoft.smx.impl">DefaultDoubleVector</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.43"><B>WritableVector&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;N&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;N&gt;</DL>
</PRE>

<P>
The <code>WritableVector</code> contains methods for writable vectors of
 any data type. To writable vectors, data can be written, but not read from.
 Some implementations, however, might implement both readable and writable
 interfaces for some specific type.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface"><CODE>ReadableVector</CODE></A></DL>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#setValueAt(int, N)">setValueAt</A></B>(int&nbsp;index,
                     <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#swapValues(int, int)">swapValues</A></B>(int&nbsp;indexA,
                     int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#toReadableVector(boolean)">toReadableVector</A></B>(boolean&nbsp;enforceNewInstance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.VectorBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#getSize()">getSize</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isColumnVector()">isColumnVector</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#isRowVector()">isRowVector</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#writeTo(java.io.Writer)">writeTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.WritableMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#newInstance(int, int)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#newInstance(N[][], boolean)">newInstance</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#setValueAt(int, int, N)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#swapRows(int, int)">swapRows</A>, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.iface.MatrixBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.smx.iface.<A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getColumnCount()">getColumnCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#getRowCount()">getRowCount</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setValueAt(int,java.lang.Number)"><!-- --></A><A NAME="setValueAt(int, N)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.44"><B>setValueAt</B></A>(int&nbsp;index,
                <A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapValues(int, int)"><!-- --></A><H3>
swapValues</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.45"><B>swapValues</B></A>(int&nbsp;indexA,
                int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose()"><!-- --></A><H3>
transpose</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.46"><B>transpose</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.47"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/VectorBase.html" title="interface in ch.javasoft.smx.iface">VectorBase</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toReadableVector(boolean)"><!-- --></A><H3>
toReadableVector</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="type parameter in WritableVector">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/iface/WritableVector.html#line.48"><B>toReadableVector</B></A>(boolean&nbsp;enforceNewInstance)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WritableVector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/iface/WritableVector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WritableVector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
